summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-system/playmedia.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-09 03:14:58 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-09 03:14:58 (GMT)
commit5445907db788ab2c7c73ea19fc47d59c862fc6a3 (patch)
tree1b0a868eb5b9d6aa8e7835cbc49c05947b7c75fe /abs/mv-core/MythVantage-system/playmedia.sh
parentabc83d46637ebc63479ec745f05ae392f404f04e (diff)
downloadlinhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.zip
linhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.tar.gz
linhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.tar.bz2
MythVantage-config (replaces live-installer) for MythVantage
MythVanate-system (replaces STB-system)
Diffstat (limited to 'abs/mv-core/MythVantage-system/playmedia.sh')
-rwxr-xr-xabs/mv-core/MythVantage-system/playmedia.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-system/playmedia.sh b/abs/mv-core/MythVantage-system/playmedia.sh
new file mode 100755
index 0000000..0b62655
--- /dev/null
+++ b/abs/mv-core/MythVantage-system/playmedia.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+DVD="xine --no-logo -B --no-splash --auto-play=pfhqd --post tvtime:method=Greedy2Frame,enable=1"
+#DVD="mplayer"
+#DVD="pdvd"
+
+VCD="xine"
+#VCD="mplayer"
+#VCD="pdvd"
+
+VIDEO="xine --no-logo -B --no-splash --auto-play=pfhq --post tvtime:method=Greedy2Frame,enable=1"
+#VIDEO="mplayer"
+CD="xmms /media/removeable"
+
+TYPE=$1
+shift
+
+UNMOUNT=0
+case $TYPE in
+ dvd|DVD )
+ PLAYCMD="$DVD"
+ ;;
+ vcd|VCD )
+ PLAYCMD="$VCD"
+ ;;
+ video|VIDEO )
+ PLAYCMD="$VIDEO"
+ EXT=isoa
+ if [ $EXT = "iso" ]
+ then
+ echo "mount logic"
+ UNMOUNT=1
+ fi
+ ;;
+ CD|cd )
+ PLAYCMD="$CD"
+ ;;
+
+ * ) echo "not a valid type"
+ exit 1
+
+ ;;
+esac
+
+
+
+$PLAYCMD "$@"
+
+if [ $UNMOUNT -eq 1 ]
+then
+ echo "umount logic here"
+fi
+